### A free/open-source library for quantitative finance

Functions
ql/experimental/math/autocovariance.hpp File Reference

autocovariance and convolution calculation More...

`#include <ql/experimental/math/fastfouriertransform.hpp>`
`#include <ql/math/array.hpp>`
`#include <complex>`
`#include <vector>`
Include dependency graph for autocovariance.hpp:

## Functions

template<typename ForwardIterator >
std::vector< std::complex< Real > > | double_ft (ForwardIterator begin, ForwardIterator end)
template<typename InputIterator , typename OutputIterator >
Real | remove_mean (InputIterator begin, InputIterator end, OutputIterator out)
template<typename ForwardIterator , typename OutputIterator >
void | convolutions (ForwardIterator begin, ForwardIterator end, OutputIterator out, std::size_t maxLag)
| Convolutions of the input sequence.
template<typename ForwardIterator , typename OutputIterator >
void | autocovariances (ForwardIterator begin, ForwardIterator end, OutputIterator out, std::size_t maxLag)
| Unbiased auto-covariances.
template<typename ForwardIterator , typename OutputIterator >
Real | autocovariances (ForwardIterator begin, ForwardIterator end, OutputIterator out, std::size_t maxLag, bool reuse)
| Unbiased auto-covariances.
template<typename ForwardIterator , typename OutputIterator >
void | autocorrelations (ForwardIterator begin, ForwardIterator end, OutputIterator out, std::size_t maxLag)
| Unbiased auto-correlations.
template<typename ForwardIterator , typename OutputIterator >
Real | autocorrelations (ForwardIterator begin, ForwardIterator end, OutputIterator out, std::size_t maxLag, bool reuse)
| Unbiased auto-correlations.

## Detailed Description

autocovariance and convolution calculation